- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::MEInterface Class Reference

Inheritance diagram for Mers::Estimation::Discrete::MEInterface:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::MEInterface:

[legend]
List of all members.

## Public Member Functions
| MEInterface (ModeEstimatorBase *me_p)
virtual | ~MEInterface ()
bool | progress (unsigned int cmd_index, unsigned int value_index)
bool | observe (unsigned int obs_index, unsigned int value_index)
bool | set_initial_state (unsigned int state_index, unsigned int value_index)
Mers::Utils::Containers::intList const * | find_mode_estimate ()
Mers::Utils::Containers::intList const * | get_full_state ()
bool | progress_to_estimate ()
virtual bool | printStateVars (std::ostream &out) const
virtual bool | printCommandVars (std::ostream &out) const
virtual bool | printObservationVars (std::ostream &out) const
virtual bool | printAllVars (std::ostream &out) const
## Protected Attributes
ModeEstimatorBase * | modeEstimator_p
## Friends
std::ostream & | operator<< (std::ostream &stream, MEInterface const &me_interface)

## Detailed Description

Definition at line 41 of file MEInterface.h.

## Constructor & Destructor Documentation

MEInterface::MEInterface | ( | ModeEstimatorBase * | me_p | ) |

A constructor.

Parameters:

  | me_p | a pointer to ModeEstimator. takes control of and will free ModeEstimator memory

Definition at line 43 of file MEInterface.cpp.

References modeEstimator_p.

MEInterface::~MEInterface | ( |  | ) | `[virtual]`

A destructor.

Definition at line 50 of file MEInterface.cpp.

References modeEstimator_p.

## Member Function Documentation

bool MEInterface::progress | ( | unsigned int | cmd_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

assert the command

Parameters:

  | cmd_index | an index corresponding to the command variable.
  | value_index | an index corresponding to the value of the command variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 61 of file MEInterface.cpp.

References Mers::Estimation::Discrete::ModeEstimatorBase::command(), and modeEstimator_p.

Here is the call graph for this function:

bool MEInterface::observe | ( | unsigned int | obs_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

assert observation

Parameters:

  | obs_index | an index corresponding to the observable variable.
  | value_index | an index corresponding to the value of the observable variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 68 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::observe().

Here is the call graph for this function:

bool MEInterface::set_initial_state | ( | unsigned int | state_index,
|  | unsigned int | value_index |
| ) |  |  | `[virtual]`

assert state

Parameters:

  | state_index | an index corresponding to the state variable.
  | value_index | an index corresponding to the value of the state variable.

Returns:
  'false' on failure.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 74 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::setCurrentState().

Here is the call graph for this function:

intList const * MEInterface::find_mode_estimate | ( |  | ) | `[virtual]`

Estimates the current state. The caller is responsible for freeing the intList memory!

Returns:
  an intList of the mode assignments that have changed since the previous estimate.

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 80 of file MEInterface.cpp.

References Mers::Estimation::Discrete::ModeEstimatorBase::findModeEstimateIntList(), modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::progressToEstimate().

Here is the call graph for this function:

intList const * MEInterface::get_full_state | ( |  | ) | `[virtual]`

Estimates the current state. The caller is responsible for freeing the intList memory!

Returns:
  the current modes of all components

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 93 of file MEInterface.cpp.

References Mers::Estimation::Discrete::ModeEstimatorBase::findModeEstimateIntList(), modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::progressToEstimate().

Here is the call graph for this function:

bool MEInterface::progress_to_estimate | ( |  | ) | `[virtual]`

sets the estimated state as the current state

Returns:
  'false' on failure

Implements Mers::Estimation::Discrete::ME_connection.

Definition at line 106 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::progressToEstimate().

Here is the call graph for this function:

bool MEInterface::printStateVars | ( | std::ostream & | out | ) | const`[virtual]`

Prints the list of state variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented from Mers::Estimation::Discrete::ME_connection.

Definition at line 115 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::showStateVars().

Here is the call graph for this function:

bool MEInterface::printCommandVars | ( | std::ostream & | out | ) | const`[virtual]`

Prints the list of command variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented from Mers::Estimation::Discrete::ME_connection.

Definition at line 123 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::showCommandVars().

Here is the call graph for this function:

bool MEInterface::printObservationVars | ( | std::ostream & | out | ) | const`[virtual]`

Prints the list of observation variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented from Mers::Estimation::Discrete::ME_connection.

Definition at line 131 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::showObservationVars().

Here is the call graph for this function:

bool MEInterface::printAllVars | ( | std::ostream & | out | ) | const`[virtual]`

Prints the list of all variables to the ostream, if possible.

Parameters:

  | out | The stream to which the data should be printed.

Returns:
  True if the data was printed. False if this interface does not support this capability.

Reimplemented from Mers::Estimation::Discrete::ME_connection.

Definition at line 139 of file MEInterface.cpp.

References modeEstimator_p, and Mers::Estimation::Discrete::ModeEstimatorBase::showAllVars().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/MEInterface.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/MEInterface.cpp